/// <reference types="node" />
import { Config } from "./config";
import type { TStation } from "../types/public.types";
import type { ReorderCb, TrackInput } from "./playlist/playlist.types";
import type { ClientRequest, ServerResponse } from "http";
import type { TEmitter } from "./events/events.types";
export declare class Station implements TStation {
    private _station;
    constructor(extConfig?: Partial<Config>);
    start(): void;
    addFolder(filepathArray: TrackInput[], loopIndex: number): void;
    next(): void;
    getPlaylist(): import("./playlist/playlist.types").TrackList;
    reorderPlaylist(cb: ReorderCb): import("./playlist/playlist.types").TrackList;
    connectListener(req: ClientRequest, res: ServerResponse, cb?: () => void): void;
    on: TEmitter["on"];
}
