/// <reference types="node" />
import type { Readable } from "stream";
import type { Tags } from "node-id3";
export type TrackPath = string;
export type TrackStats = {
    bitrate: number;
    directory: string;
    duration: number;
    format: string;
    fullPath: string;
    name: string;
    size: number;
    tagsSize: number;
    stringified: string;
};
export type ShallowTrackMeta = Tags & {
    externalId: string;
    origin: "id3" | "fs";
};
export type TTrack = {
    playCount: number;
    fsStats: TrackStats;
    getSound: () => [Error | null, Readable];
    getMetaAsync: () => Promise<ShallowTrackMeta>;
};
